<template>
  <div>
    <div class="jumbotron">

      <h1>Aktualne dane:</h1>

      <div v-if="oldSensor.toString().length > 3">
        <div>Stary numer sensora: {{ oldSensor.phoneNo }}</div>
      </div>
    </div>


    <h2>Edytuj sensor:</h2>

    <form
        v-on:submit.prevent="submitForm"
    >

      <div class="form-group">
        <label for="phoneNo">Nowy numer:</label>
        <input type="text" class="form-control" id="phoneNo" placeholder="Nowy numer"
               v-model="form.phoneNo" required>
      </div>

      <div class="form-group">
        <button class="btn btn-primary">Edytuj</button>
      </div>
    </form>
  </div>
</template>

<script>
import SensorService from '../../services/sensor.service';
import sensorobject from "@/models/sensorobject";

export default {
  name: 'EditQueen',
  components: {},
  data() {
    return {
      content: '',
      form: new sensorobject('', ''),
      oldSensor: ''
    };
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  mounted() {

    if (!this.currentUser) {
      this.$router.push('/login');
    } else if (this.$route.query.beehiveId && this.$route.query.sensorId) {
      SensorService.getSpecificSensorById(this.$route.query.sensorId).then(
          response => {
            this.oldSensor = response.data;
          },
          error => {
            this.oldSensor =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    }

  },
  methods: {

    submitForm() {

      if (!this.currentUser) {
        this.$router.push('/login');
      } else if (this.$route.query.beehiveId && this.$route.query.sensorId) {

        this.form.beehive = {id: this.$route.query.beehiveId};

        SensorService.editSensor(this.form, this.$route.query.sensorId).then(
            response => {
              this.content = response.data;

              alert('Sensor edytowany poprawnie!')

              this.$router.push('/beehive?beehiveid=' + this.$route.query.beehiveId)

            },
            error => {
              this.content =
                  (error.response && error.response.data && error.response.data.message) ||
                  error.message ||
                  error.toString();
            }
        );
      }
    }
  }


};
</script>

<style scoped>
label {
  display: block;
  margin-top: 10px;
}
</style>